package com.gct.dataengine;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
@EnableSwagger2Doc //启用swagger注解
@EnableConfigurationProperties
@EnableFeignClients
@EnableDiscoveryClient//开启服务注册
@MapperScan("com.gct.dataengine.mapper*")
public class DataEngineSuitcaseApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataEngineSuitcaseApplication.class, args);
    }

}
