package com.gct.dataengine.controller.FileProcess;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.FileProcess.vo.UploadFileVo;
import com.gct.dataengine.service.FileProcess.FileProcessService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

/**
 * class name: FileProcessController
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/25 下午3:15 周三
 */
@Api(value = "oss文件处理")
@RestController
@RequestMapping("/fileProcess")
public class FileProcessController {

    @Autowired
    FileProcessService fileProcessService;
    @PostMapping("/uploadFile")
    public Result uploadFile(@RequestBody UploadFileVo uploadFileVo){
        return Result.ok(fileProcessService.uploadFile(uploadFileVo));
    }

    /***
     * 预览或者下载接口,通过后缀名来实现判断
     * @param objectName
     * @return
     */
    @GetMapping("/previewImgOrDownLoadFile")
    public Result previewImgOrDownLoadFile(@RequestParam("objectName") String objectName){
        return Result.ok(fileProcessService.previewImgOrDownLoadFile(objectName));
    }

    @GetMapping("/partUploadUrl")
    public Result partUploadUrl(@RequestParam("objectName")String objectName,
                                @RequestParam("partNum")Integer partNum){
        return Result.ok(fileProcessService.partUploadUrl(objectName,partNum));
    }

    @PostMapping("/composeObject")
    public Result composeObject(@RequestBody JSONObject jsonObject){
        String username= SecurityContextHolder.getContext().getAuthentication().getName();
        jsonObject.put("userName",username);
        return Result.ok(fileProcessService.composeObject(jsonObject));
    }
    @PostMapping(value = "/upload-img")
    public Result uploadImg(@RequestParam("file") File file,@RequestParam("ossName") String ossName){
       return Result.ok(fileProcessService.uploadImg(file,ossName));
    }
}
