package com.gct.dataengine.controller.OssBase;


import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.OssDriverFile;
import com.gct.dataengine.service.OssBase.OssDriverFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 驱动信息存储 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/driver")
public class OssDriverFileController {

    @Autowired
    OssDriverFileService ossDriverFileService;

    @GetMapping("/list")
    public Result getList(@RequestParam("driverName") String driverName,
                          @RequestParam("filterTag") String filterTag,
                          @RequestParam("usable") Integer usable,
                          @RequestParam("fileType") String fileType) {
        return Result.ok(ossDriverFileService.getList(driverName,filterTag,usable,fileType));
    }

    @PostMapping("/saveOrUpdate")
    public Result saveOrUpdate(@RequestBody OssDriverFile ossDriverFile) {
        return Result.ok(ossDriverFileService.saveOrUpdateDriverFile(ossDriverFile));
    }

    @DeleteMapping("/delete")
    public Result deleteById(@RequestParam("id") String id){
        return Result.ok(ossDriverFileService.deleteById(id));
    }

    @GetMapping("/getMaxDriverVersion")
    public Result getMaxDriverVersion(@RequestParam("driverName")String driverName){
        return Result.ok(ossDriverFileService.getMaxDriverVersion(driverName));
    }

    @GetMapping("/location")
    public Result getFileLocation(@RequestParam String driverName,@RequestParam Double limitVersion){
        return Result.ok(ossDriverFileService.getFileLocation(driverName,limitVersion));
    }

}

