package com.gct.dataengine.controller.OssBase;


import com.baomidou.mybatisplus.extension.api.R;
import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.OssTemplateFile;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateFileVo;
import com.gct.dataengine.entity.OssBase.vo.GetTemplateFileVo;
import com.gct.dataengine.entity.OssBase.vo.TemplateFeignVo;
import com.gct.dataengine.service.OssBase.OssTemplateFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 模板文件存储 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/template/file")
public class OssTemplateFileController {

    @Autowired
    OssTemplateFileService ossTemplateFileService;

    @GetMapping("/delete-exclude")
    public Result deleteGroupTempExcludeRoot(@RequestParam String excludeId,@RequestParam String groupId,@RequestParam String tempType){
        return Result.ok(ossTemplateFileService.deleteGroupTempExcludeRoot(excludeId,groupId,tempType));
    }

    @GetMapping("/search")
    public Result getOssTemplateFileById(@RequestParam String tempId){
        return Result.ok(ossTemplateFileService.getOssTemplateFileById(tempId));
    }

    @GetMapping("/control")
    public Result batchControlTemplateFileByGroupId(@RequestParam(required = false) String groupId,@RequestParam Boolean enable,@RequestParam String tempType){
        return Result.ok(ossTemplateFileService.batchControlTemplateFileByGroupId(groupId,enable,tempType));
    }

    @GetMapping("/match")
    public Result getMatchTempList(@RequestParam String matchStr,@RequestParam String tempType,@RequestParam(required = false) String groupId){
        return Result.ok(ossTemplateFileService.getMatchTempList(matchStr,tempType,groupId));
    }


    @PostMapping("/update")
    public Result updateTemplateFile(@RequestBody OssTemplateFile ossTemplateFile) {
        return Result.ok(ossTemplateFileService.updateById(ossTemplateFile));
    }


    @PostMapping("/list")
    public Result getTemplateFileList(@RequestBody GetTemplateFileVo getTemplateFileVo){
        return Result.ok(ossTemplateFileService.getTemplateFileListByGroup(getTemplateFileVo));
    }

    @GetMapping("/getAllTemplateByTempType")
    public Result getAllTemplateByTempType(@RequestParam("tempType") String tempType) {
        return Result.ok(ossTemplateFileService.getAllTemplateByTempType(tempType));
    }

    @GetMapping("/getTemplateNameByTempType")
    public Result getTemplateNameByTempType(@RequestParam("tempType") String tempType){
        return Result.ok(ossTemplateFileService.getTemplateNameByTempType(tempType));
    }


    @GetMapping("/getFileNameById")
    public Result getFileNameById(@RequestParam("tempId") String tempId){
        return Result.ok(ossTemplateFileService.getFileNameById(tempId));
    }


    @GetMapping("/deleteOssTemplateFileByNameAndType")
    public Result deleteOssTemplateFileByNameAndType(@RequestParam("tempName") String tempName, @RequestParam("tempType") String tempType){
        return Result.ok(ossTemplateFileService.deleteOssTemplateFileByNameAndType(tempName,tempType));
    }

    @GetMapping("/isExistByFileName")
    public Result isExistByFileName(@RequestParam("fileName") String fileName, @RequestParam("fileType") String fileType) {
        return Result.ok(ossTemplateFileService.isExistByFileName(fileName,fileType));
    }

    @PostMapping("/insertOssTemplateFileInfo")
    public Result insertOssTemplateFileInfo(@RequestBody  OssTemplateFile ossTemplateFile){
        return Result.ok(ossTemplateFileService.insertOssTemplateFileInfo(ossTemplateFile));
    }

    @PostMapping("/addMappingTemplate")
    public Result addMappingTemplate(@RequestBody AddTemplateFileVo addTemplateFileVo){
        return Result.ok(ossTemplateFileService.addMappingTemplate(addTemplateFileVo));
    }

    @PostMapping("/jsonData")
    public Result getJsonDataById(@RequestBody TemplateFeignVo templateFeignVo){
        return Result.ok(ossTemplateFileService.getJsonDataById(templateFeignVo));
    }

    @PostMapping("/save-json")
    public Result saveJson(@RequestBody Map<String, String> reqMap){
        return Result.ok(ossTemplateFileService.saveJson(reqMap));
    }

    @PostMapping("/copyObject")
    public Result copyObject(@RequestBody Map<String, String> reqMap){
        return Result.ok(ossTemplateFileService.copyObject(reqMap));
    }
    @GetMapping("/getTempByGroupId")
    public Result getTempByGroupId(@RequestParam("groupId") String groupId){
        return Result.ok(ossTemplateFileService.getTempByGroupId(groupId));
    }


}

