package com.gct.dataengine.controller.OssBase;


import com.gct.common.core.result.Result;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateGroupVo;
import com.gct.dataengine.entity.OssBase.vo.GetTempGroupVo;
import com.gct.dataengine.service.OssBase.OssTemplateGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 模板分组 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@RestController
@RequestMapping("/template/group")
public class OssTemplateGroupController {

    @Autowired
    OssTemplateGroupService ossTemplateGroupService;

    @GetMapping("/list")
    public Result getTemplateGroup(@RequestParam("tempType") String tempType) {
        return Result.ok(ossTemplateGroupService.getTemplateGroup(tempType));
    }

    @PostMapping("/insert")
    public Result addTemplateGroup(@RequestBody AddTemplateGroupVo addTemplateGroupVo) {
        return Result.ok(ossTemplateGroupService.addTemplateGroup(addTemplateGroupVo));
    }

    @GetMapping("/delete")
    public Result deleteTemplateGroup(@RequestParam("groupId") String groupId) {
        return Result.ok(ossTemplateGroupService.deleteTemplateGroup(groupId));
    }

    @GetMapping("/getGroupNameList")
    public Result getGroupNameList(@RequestParam("tempType") String tempType){
        return Result.ok(ossTemplateGroupService.getGroupNameList(tempType));
    }

    @GetMapping("/getGroupIdList")
    public Result getGroupIdList(@RequestParam("groupId") String groupId,
                                 @RequestParam("tempType") String tempType){
        return Result.ok(ossTemplateGroupService.getGroupIdList(groupId,tempType));
    }

    @GetMapping("/getAllParentName")
    public Result getAllParentName(@RequestParam("groupId") List<String> ids,
                                   @RequestParam("tempType") String tempType){
        return Result.ok(ossTemplateGroupService.getAllParentName(ids,tempType));
    }
}

