package com.gct.dataengine.entity.ElementEngine;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 可交互元素表
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InteractiveElement对象", description="可交互元素表")
public class InteractiveElement extends Model<InteractiveElement> {

    private static final long serialVersionUID=1L;

    @TableId(type=IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "完整的可读名称，字数30")
    private String fullName;

    @ApiModelProperty(value = "简短的名称，字数5")
    private String shortName;

    @ApiModelProperty(value = "元素类型 参见static_element_type")
    private String itemType;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件地址，oss连接需要")
    private String fileLocation;

    @ApiModelProperty(value = "是否已删除，1-->删除,2-->未删除;使用标记删除策略，便于oss延迟删除，oss删除成功后删除此条数据")
    private Integer deleted;

    @ApiModelProperty(value = "适配的组态工具版本，向下兼容")
    private Double supportedToolVersion;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    private String remark;

    @ApiModelProperty(value = "收藏时候要用到的属性数据,由前台带过来,然后在带回去")
    private String collectingProperty;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
