package com.gct.dataengine.entity.ElementEngine;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 可交互元素分组
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InteractiveElementGroup对象", description="可交互元素分组")
public class InteractiveElementGroup extends Model<InteractiveElementGroup> {

    private static final long serialVersionUID=1L;

    @TableId(type=IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "可交互元素分组名称")
    private String groupName;

    private String parentId;

    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
