package com.gct.dataengine.entity.ElementEngine;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 可交互元素用户偏好(基础表,需要根据用户分表)
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InteractiveElementUser对象", description="可交互元素用户偏好(基础表,需要根据用户分表)")
public class InteractiveElementUser extends Model<InteractiveElementUser> {

    private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "用户")
    private String userId;

    @ApiModelProperty(value = "元素id")
    private String elementId;

    @ApiModelProperty(value = "使用次序，根据最近使用次数自动排序")
    private Integer useOrder;

    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
