package com.gct.dataengine.entity.ElementEngine;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 静态元素类型
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="StaticElementType对象", description="静态元素类型")
public class StaticElementType extends Model<StaticElementType> {

    private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "元素类型")
    private String itemType;

    @ApiModelProperty(value = "简略名称")
    private String shortName;

    @ApiModelProperty(value = "详细说明")
    private String elementTypeDetail;

    private String parentTypeId;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
