package com.gct.dataengine.entity.OssBase;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.lang.reflect.Type;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 驱动信息存储
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="OssDriverFile对象", description="驱动信息存储")
public class OssDriverFile extends Model<OssDriverFile> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "版本标识")
    private Double driverVersion;

    @ApiModelProperty(value = "可读性名称，用于直观显示,名称唯一，相同名称则是同一驱动的不同版本")
    private String driverName;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "标记，过滤筛查字段")
    private String filterTag;

    @ApiModelProperty(value = "是否能用，不能用则不能通知给使用者 ;1 能用 2 不能用 ")
    private Integer usable;

    @ApiModelProperty(value = "文件地址，oss连接需要")
    private String fileLocation;

    @ApiModelProperty(value = "校验方式，md5、sha256")
    private String checkType;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
