package com.gct.dataengine.entity.OssBase;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 模板文件存储
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="OssTemplateFile对象", description="模板文件存储")
public class OssTemplateFile extends Model<OssTemplateFile> {

    private static final long serialVersionUID=1L;
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "模板类型，用于区分各类模板")
    private String tempType;

    @ApiModelProperty(value = "模板名称，用于显示")
    private String tempName;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件地址，oss连接需要")
    private String fileLocation;

    @ApiModelProperty(value = "编辑状态，1-->编辑中和2-->已完成，已完成的才能被后续业务应用")
    private Integer editStatus;


    @ApiModelProperty(value = "是否已删除，1-->删除,2-->未删除;标记删除策略，便于oss延迟删除")
    @TableLogic(value = "2",delval = "1")
    private Integer deleted;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    private String remark;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
