package com.gct.dataengine.entity.OssBase;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 模板类型(不包括组态工具中的元素)
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SupportedTempType对象", description="模板类型(不包括组态工具中的元素)")
public class SupportedTempType extends Model<SupportedTempType> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "模板类型 唯一名称")
    private String tempType;

    @ApiModelProperty(value = "简略名称")
    private String shortName;

    @ApiModelProperty(value = "详细说明")
    private String tempTypeDetail;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
