package com.gct.dataengine.enums;

import org.springframework.util.StringUtils;

/**
 * class name: contentTypeEnum
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/30 下午3:10 周一
 */
public enum ContentTypeEnum {
    DEFAULT("default","application/octet-stream"),
    JPG("jpg", "image/jpg"),
    JPEG("jpeg", "image/jpeg"),
    GIF("gif", "image/gif"),
    PNG("png", "image/png"),
    JSON("json", "application/json");

    private final String prefix;

    private final String type;

    public static String getContentType(String prefix){
        if(StringUtils.isEmpty(prefix)){
            return DEFAULT.getType();
        }
        prefix = prefix.substring(prefix.lastIndexOf(".") + 1);
        for (ContentTypeEnum value : ContentTypeEnum.values()) {
            if(prefix.equalsIgnoreCase(value.getPrefix())){
                return value.getType();
            }
        }
        return DEFAULT.getType();
    }

    ContentTypeEnum(String prefix, String type) {
        this.prefix = prefix;
        this.type = type;
    }

    public String getPrefix() {
        return prefix;
    }

    public String getType() {
        return type;
    }

}
