package com.gct.dataengine.ossUtil;

import io.minio.MinioClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * class name: OssConfiguration
 *
 * @author gxt
 * @version 1.0
 * @since 2022/5/25 下午3:21 周三
 */
@Configuration
@EnableConfigurationProperties(MinioProperties.class)
public class MinioConfiguration {
    @Autowired
    MinioProperties minioProperties;

    @Bean
    public MinioClient minioClient(){
       return MinioClient.builder().endpoint(minioProperties.getIp(), minioProperties.getPort(), minioProperties.isSecure())
                .credentials(minioProperties.getAccessKey(), minioProperties.getSecretKey()).build();
    }
}
