package com.gct.dataengine.service.ElementEngine.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.gct.dataengine.entity.ElementEngine.InteractiveElementGroup;
import com.gct.dataengine.mapper.ElementEngine.InteractiveElementGroupMapper;
import com.gct.dataengine.service.ElementEngine.InteractiveElementGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 可交互元素分组 服务实现类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Service
public class InteractiveElementGroupServiceImpl extends ServiceImpl<InteractiveElementGroupMapper, InteractiveElementGroup> implements InteractiveElementGroupService {

    @Override
    public String getIdByName(String name) {
        List<InteractiveElementGroup> list = baseMapper.selectList(new LambdaQueryWrapper<InteractiveElementGroup>()
                .eq(InteractiveElementGroup::getGroupName, name));
        return list.isEmpty()  ? "" : list.get(0).getId();
    }

    @Override
    public List<InteractiveElementGroup> getList() {
        return baseMapper.selectList(new LambdaQueryWrapper<InteractiveElementGroup>().ne(InteractiveElementGroup::getParentId,"0"));
    }

    @Override
    public String getParentName(String id) {
        List<InteractiveElementGroup> list = baseMapper.selectList(new LambdaQueryWrapper<InteractiveElementGroup>().eq(InteractiveElementGroup::getId, id));
        return list.isEmpty() ? "" : list.get(0).getGroupName();
    }
}
