package com.gct.dataengine.service.ElementEngine.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.dataengine.entity.ElementEngine.InteractiveElement;
import com.gct.dataengine.entity.ElementEngine.InteractiveElementGroup;
import com.gct.dataengine.entity.OssBase.vo.CollectResultChildrenVo;
import com.gct.dataengine.entity.OssBase.vo.CollectResultVo;
import com.gct.dataengine.mapper.ElementEngine.InteractiveElementMapper;
import com.gct.dataengine.service.ElementEngine.InteractiveElementGroupService;
import com.gct.dataengine.service.ElementEngine.InteractiveElementService;
import com.gct.dataengine.service.FileProcess.FileProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 可交互元素表 服务实现类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Service
public class InteractiveElementServiceImpl extends ServiceImpl<InteractiveElementMapper, InteractiveElement> implements InteractiveElementService {

    @Autowired
    FileProcessService fileProcessService;

    @Autowired
    InteractiveElementGroupService interactiveElementGroupService;
    @Override
    public boolean collectingComponent(Map<String, String> paramMap) {
        String id = paramMap.get("id");
        String name = paramMap.get("name");
        String userName = paramMap.get("userName");
        String collectingProperty = paramMap.get("props");
       // String groupName = paramMap.get("groupName");
        //String fileLocation = fileProcessService.previewImgOrDownLoadFile(id + ".png");
        //String url = fileLocation.substring(0, fileLocation.lastIndexOf("?"));
        InteractiveElement interactiveElement = new InteractiveElement()
                .setFullName(name)
                .setShortName(name)
                .setCreator(userName)
                .setFileLocation("")
                .setDeleted(2)
                .setFileName(id + ".png")
                .setItemType("1")
                .setFileType("png")
                .setSupportedToolVersion(1.0)
                .setCollectingProperty(collectingProperty);
        // todo 这个目前缺少一部分,没有动态的跟group 表联合起来,后期需要修改
        /*String parentId = interactiveElementGroupService.getIdByName(groupName);
        InteractiveElementGroup interactiveElementGroup = new InteractiveElementGroup()
                .setGroupName(name)
                .setCreator(userName)
                .setParentId(parentId);
        interactiveElementGroupService.getBaseMapper().insert(interactiveElementGroup);*/
        return save(interactiveElement);
    }

    @Override
    public List<CollectResultVo> collectingList() {
        List<InteractiveElement> list = baseMapper.selectList(new LambdaQueryWrapper<InteractiveElement>()
                .eq(InteractiveElement::getDeleted, 2));
        List<InteractiveElementGroup> groupList = interactiveElementGroupService.getList();
        List<CollectResultVo> collectResultVoList = new ArrayList<>();
        groupList.forEach(x->{
            CollectResultVo collectResultVo = new CollectResultVo();
            List<CollectResultChildrenVo> childrenVoList = new ArrayList<>();
            list.forEach(y->{
                if (x.getGroupName().equals(y.getFullName())){
                    CollectResultChildrenVo collectResultChildrenVo = new CollectResultChildrenVo();
                    collectResultChildrenVo.setId(y.getId()).setName(x.getGroupName()).setPicPath(y.getFileLocation())
                            .setProps(y.getCollectingProperty())
                            .setKey(y.getId()).setType("Img");
                    childrenVoList.add(collectResultChildrenVo);
                }
            });
            collectResultVo.setId(x.getParentId()).setName(interactiveElementGroupService.getParentName(x.getParentId()))
                    .setChildren(childrenVoList);
            collectResultVoList.add(collectResultVo);
        });
        Map<String, List<CollectResultChildrenVo>> map = new HashMap<>();
        collectResultVoList.forEach(x->{
            map.putIfAbsent(x.getId(),new ArrayList<>());
            map.get(x.getId()).addAll(x.getChildren());
        });
        for (CollectResultVo x : collectResultVoList) {
            x.setChildren(map.get(x.getId()));
        }
        return collectResultVoList.stream().distinct().collect(Collectors.toList());
    }


    @Override
    public boolean cancelCollect(Map<String, String> paramMap) {
        return baseMapper.update(new InteractiveElement().setDeleted(1),new LambdaQueryWrapper<InteractiveElement>()
                .eq(InteractiveElement::getId, paramMap.get("id"))) > 0;
    }
}
