package com.gct.dataengine.service.OssBase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dataengine.entity.OssBase.OssTemplateFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dataengine.entity.OssBase.vo.AddTemplateFileVo;
import com.gct.dataengine.entity.OssBase.vo.GetTemplateFileVo;
import com.gct.dataengine.entity.OssBase.vo.FileLocationVo;
import com.gct.dataengine.entity.OssBase.vo.TemplateFeignVo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模板文件存储 服务类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
public interface OssTemplateFileService extends IService<OssTemplateFile> {


    boolean insertOssTemplateFileInfo(OssTemplateFile ossTemplateFile);

    boolean addMappingTemplate(AddTemplateFileVo addTemplateFileVo);

    String getFileNameById(String tempId);

    boolean deleteOssTemplateFileByNameAndType(String tempName, String tempType);

    List<HashMap<String, String>> getTemplateNameByTempType(String tempType);

    boolean isExistByFileName(String fileName, String fieType);

    List<OssTemplateFile> getAllTemplateByTempType(String tempType);

    Page<Map<String, Object>> getTemplateFileListByGroup(GetTemplateFileVo getTemplateFileVo);

    Map<String, String> getJsonDataById(TemplateFeignVo templateFeignVo);

    boolean saveJson(Map<String, String> reqMap);

    FileLocationVo getOssTemplateFileById(String tempId);

    boolean copyObject(Map<String, String> reqMap);

    List<Map<String,Object>> getTempByGroupId(String groupId);

    List<Map<String,Object>> getMatchTempList(String matchStr, String tempType, String groupId);

    Boolean batchControlTemplateFileByGroupId(String groupId, Boolean enable, String tempType);

    Boolean deleteGroupTempExcludeRoot(String excludeId, String groupId, String tempType);
}
