package com.gct.dataengine.service.OssBase.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.dataengine.entity.OssBase.InpaMapRelation;
import com.gct.dataengine.mapper.OssBase.InpaMapRelationMapper;
import com.gct.dataengine.service.OssBase.InpaMapRelationService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lijian
 * @since 2022-06-28
 */
@Service
public class InpaMapRelationServiceImpl extends ServiceImpl<InpaMapRelationMapper, InpaMapRelation> implements InpaMapRelationService {

    @Override
    public String addMappingRelation(InpaMapRelation inpaMapRelation) {
        if (inpaMapRelation.getMappingTempId().equals("") || inpaMapRelation.getParamsTempId().equals(""))
            return "请选择关联模板";
        QueryWrapper<InpaMapRelation> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("mapping_temp_id", inpaMapRelation.getMappingTempId()).eq("params_temp_id", inpaMapRelation.getParamsTempId());
        if (baseMapper.selectList(queryWrapper).size() > 0)
            return "关联关系存在，请重新关联";
        inpaMapRelation.setId(IdWorker.getIdStr());
        return baseMapper.insert(inpaMapRelation) > 0 ? "success" : "error";
    }

    @Override
    public String deleteMappingRelation(String mappingId, String paramsId) {
        QueryWrapper<InpaMapRelation> inpaMapRelationQueryWrapper = new QueryWrapper<>();
        inpaMapRelationQueryWrapper.eq("mapping_temp_id", mappingId).eq("params_temp_id", paramsId);
        return baseMapper.delete(inpaMapRelationQueryWrapper) > 0 ? "success" : "error";
    }
}
