package com.gct.dataengine.service.OssBase.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.gct.common.util.StringUtil;
import com.gct.dataengine.entity.OssBase.SupportedTempType;
import com.gct.dataengine.mapper.OssBase.SupportedTempTypeMapper;
import com.gct.dataengine.service.OssBase.SupportedTempTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 模板类型(不包括组态工具中的元素) 服务实现类
 * </p>
 *
 * @author gxt
 * @since 2022-05-30
 */
@Service
public class SupportedTempTypeServiceImpl extends ServiceImpl<SupportedTempTypeMapper, SupportedTempType> implements SupportedTempTypeService {

    @Override
    public List<SupportedTempType> getList(String tempType, String shortName) {
        LambdaQueryWrapper<SupportedTempType> wrapper = new LambdaQueryWrapper<>();
        if (!StringUtil.isBlankOrEmpty(tempType)){
            wrapper = wrapper.eq(SupportedTempType::getTempType,tempType);
        }
        if (!StringUtil.isBlankOrEmpty(shortName)){
            wrapper = wrapper.eq(SupportedTempType::getShortName,shortName);
        }
        List<SupportedTempType> list = baseMapper.selectList(wrapper);
        return list.isEmpty() ? new ArrayList<>() : list;
    }

    @Override
    public boolean saveOrUpdateTempType(SupportedTempType supportedTempType) {
        return saveOrUpdate(supportedTempType);
    }
}
